# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "awa-cli"
version = "0.5.3-alpha.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "CLI for the Awa job queue"
readme = "README.md"
license = "MIT OR Apache-2.0"
repository = "https://github.com/hardbyte/awa"

[[bin]]
name = "awa"
path = "src/main.rs"

[dependencies.awa-model]
version = "0.5.3-alpha.0"

[dependencies.awa-ui]
version = "0.5.3-alpha.0"

[dependencies.axum]
version = "0.8"

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.clap]
version = "4"
features = [
    "derive",
    "env",
]

[dependencies.hex]
version = "0.4"

[dependencies.serde_json]
version = "1"

[dependencies.sqlx]
version = "0.8"
features = [
    "runtime-tokio-rustls",
    "postgres",
    "chrono",
    "json",
    "migrate",
    "uuid",
]

[dependencies.tokio]
version = "1"
features = ["full"]

[dependencies.tracing]
version = "0.1"

[dependencies.tracing-subscriber]
version = "0.3"
features = ["env-filter"]
